const express = require("express");
const cors = require("cors");
const homeRouter = require("./routes/home");
const aboutUsRouter = require("./routes/aboutUs");
const contactUsRouter = require("./routes/contactUs");
const chairmanRouter = require("./routes/chairman");
const memberRouter = require("./routes/member");
const seminarRouter = require("./routes/seminar");
const publicationRouter = require("./routes/publication");
const GalleryRouter = require("./routes/gallery");

const app = express();
const port = 443 ;

app.use(cors());
app.use(express.json());

app.use("/api/home", homeRouter);
app.use("/api/aboutUs", aboutUsRouter);
app.use("/api/contact", contactUsRouter);
app.use("/api/chairman", chairmanRouter);
app.use("/api/member", memberRouter);
app.use("/api/seminar", seminarRouter);
app.use("/api/publication", publicationRouter);
app.use("/api/gallery", GalleryRouter);

app.listen(port, () => {
  console.log(`SCB server listening on port ${port}`);
});
